import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimArgsObjectSchema as ClaimArgsObjectSchema } from './ClaimArgs.schema'

const makeSchema = () => z.object({
  claim: z.union([z.boolean(), z.lazy(() => ClaimArgsObjectSchema)]).optional()
}).strict();
export const ClaimFileIncludeObjectSchema: z.ZodType<Prisma.ClaimFileInclude> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileInclude>;
export const ClaimFileIncludeObjectZodSchema = makeSchema();
